package com.boman.web.core.service.update;

import com.alibaba.fastjson.JSONObject;
import com.boman.web.core.domain.TableServiceContext;

import java.util.List;

/**
 * @author shiqian
 * @date 2021年03月29日 10:22
 **/
public interface IBaseUpdateService {

    /**
     * 功能描述: 批量修改, 默认需要更改的model，更改的字段类型和字段值都是一致的
     *
     * @param context    用到其中的表名和所有的列(用来判断是否需要转义字符)
     * @param pkName     主键名
     * @param idList     idList
     * @param commitData 需要更改的model, 已经转义好了，不需要到mapper层再去转义
     * @return int
     */
    int updateByIdList(TableServiceContext context, String pkName, List<Long> idList, JSONObject commitData);
}
